summaryrefslogtreecommitdiff
path: root/plugins/sublime/sublime.plugin.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/sublime/sublime.plugin.zsh')
-rw-r--r--plugins/sublime/sublime.plugin.zsh190
1 files changed, 95 insertions, 95 deletions
diff --git a/plugins/sublime/sublime.plugin.zsh b/plugins/sublime/sublime.plugin.zsh
index 22cf98227..3a82d6c7f 100644
--- a/plugins/sublime/sublime.plugin.zsh
+++ b/plugins/sublime/sublime.plugin.zsh
@@ -1,118 +1,118 @@
-if [[ "$OSTYPE" == linux* ]]; then
- local _sublime_linux_paths > /dev/null 2>&1
- _sublime_linux_paths=(
+# Sublime Text aliases
+
+alias st=subl
+alias stt='subl .'
+
+# Define sst only if sudo exists
+(( $+commands[sudo] )) && alias sst='sudo subl'
+
+alias stp=find_project
+alias stn=create_project
+
+
+# Search for the Sublime Text command if not found
+(( $+commands[subl] )) || {
+ declare -a _sublime_paths
+
+ if [[ "$OSTYPE" == linux* ]]; then
+ if [[ "$(uname -r)" = *Microsoft* ]]; then
+ _sublime_paths=(
+ "$(wslpath -u 'C:\Program Files\Sublime Text 3\subl.exe')"
+ "$(wslpath -u 'C:\Program Files\Sublime Text 2\subl.exe')"
+ )
+ else
+ _sublime_paths=(
"$HOME/bin/sublime_text"
"/opt/sublime_text/sublime_text"
"/opt/sublime_text_3/sublime_text"
"/usr/bin/sublime_text"
"/usr/local/bin/sublime_text"
"/usr/bin/subl"
- "/opt/sublime_text_3/sublime_text"
"/usr/bin/subl3"
+ )
+ fi
+ elif [[ "$OSTYPE" = darwin* ]]; then
+ _sublime_paths=(
+ "/usr/local/bin/subl"
+ "/Applications/Sublime Text.app/Contents/SharedSupport/bin/subl"
+ "/Applications/Sublime Text 3.app/Contents/SharedSupport/bin/subl"
+ "/Applications/Sublime Text 2.app/Contents/SharedSupport/bin/subl"
+ "$HOME/Applications/Sublime Text.app/Contents/SharedSupport/bin/subl"
+ "$HOME/Applications/Sublime Text 3.app/Contents/SharedSupport/bin/subl"
+ "$HOME/Applications/Sublime Text 2.app/Contents/SharedSupport/bin/subl"
)
- for _sublime_path in $_sublime_linux_paths; do
- if [[ -a $_sublime_path ]]; then
- st_run() { $_sublime_path $@ >/dev/null 2>&1 &| }
- st_run_sudo() {sudo $_sublime_path $@ >/dev/null 2>&1}
- alias sst=st_run_sudo
- alias st=st_run
- break
- fi
- done
-
-elif [[ "$OSTYPE" = darwin* ]]; then
- local _sublime_darwin_paths > /dev/null 2>&1
- _sublime_darwin_paths=(
- "/usr/local/bin/subl"
- "/Applications/Sublime Text.app/Contents/SharedSupport/bin/subl"
- "/Applications/Sublime Text 3.app/Contents/SharedSupport/bin/subl"
- "/Applications/Sublime Text 2.app/Contents/SharedSupport/bin/subl"
- "$HOME/Applications/Sublime Text.app/Contents/SharedSupport/bin/subl"
- "$HOME/Applications/Sublime Text 3.app/Contents/SharedSupport/bin/subl"
- "$HOME/Applications/Sublime Text 2.app/Contents/SharedSupport/bin/subl"
+ elif [[ "$OSTYPE" = cygwin ]]; then
+ _sublime_paths=(
+ "$(cygpath "$ProgramW6432/Sublime Text 2")/subl.exe"
+ "$(cygpath "$ProgramW6432/Sublime Text 3")/subl.exe"
)
- for _sublime_path in $_sublime_darwin_paths; do
- if [[ -a $_sublime_path ]]; then
- subl () { "$_sublime_path" $* }
- alias st=subl
- break
- fi
- done
-
-elif [[ "$OSTYPE" = 'cygwin' ]]; then
- local _sublime_cygwin_paths > /dev/null 2>&1
- _sublime_cygwin_paths=(
- "$(cygpath $ProgramW6432/Sublime\ Text\ 2)/sublime_text.exe"
- "$(cygpath $ProgramW6432/Sublime\ Text\ 3)/sublime_text.exe"
+ elif [[ "$OSTYPE" = msys ]]; then
+ _sublime_paths=(
+ "/c/Program Files/Sublime Text 2/subl.exe"
+ "/c/Program Files/Sublime Text 3/subl.exe"
)
- for _sublime_path in $_sublime_cygwin_paths; do
- if [[ -a $_sublime_path ]]; then
- subl () { "$_sublime_path" $* }
- alias st=subl
- break
- fi
- done
+ fi
-fi
+ for _sublime_path in $_sublime_paths; do
+ if [[ -a $_sublime_path ]]; then
+ alias subl="'$_sublime_path'"
+ (( $+commands[sudo] )) && alias sst="sudo '$_sublime_path'"
+ break
+ fi
+ done
-alias stt='st .'
+ unset _sublime_paths _sublime_path
+}
-find_project()
-{
- local PROJECT_ROOT="${PWD}"
- local FINAL_DEST="."
+function find_project() {
+ local PROJECT_ROOT="${PWD}"
+ local FINAL_DEST="."
- while [[ $PROJECT_ROOT != "/" && ! -d "$PROJECT_ROOT/.git" ]]; do
- PROJECT_ROOT=$(dirname $PROJECT_ROOT)
- done
+ while [[ $PROJECT_ROOT != "/" && ! -d "$PROJECT_ROOT/.git" ]]; do
+ PROJECT_ROOT=$(dirname $PROJECT_ROOT)
+ done
- if [[ $PROJECT_ROOT != "/" ]]; then
- local PROJECT_NAME="${PROJECT_ROOT##*/}"
+ if [[ $PROJECT_ROOT != "/" ]]; then
+ local PROJECT_NAME="${PROJECT_ROOT##*/}"
- local SUBL_DIR=$PROJECT_ROOT
- while [[ $SUBL_DIR != "/" && ! -f "$SUBL_DIR/$PROJECT_NAME.sublime-project" ]]; do
- SUBL_DIR=$(dirname $SUBL_DIR)
- done
+ local SUBL_DIR=$PROJECT_ROOT
+ while [[ $SUBL_DIR != "/" && ! -f "$SUBL_DIR/$PROJECT_NAME.sublime-project" ]]; do
+ SUBL_DIR=$(dirname $SUBL_DIR)
+ done
- if [[ $SUBL_DIR != "/" ]]; then
- FINAL_DEST="$SUBL_DIR/$PROJECT_NAME.sublime-project"
- else
- FINAL_DEST=$PROJECT_ROOT
- fi
+ if [[ $SUBL_DIR != "/" ]]; then
+ FINAL_DEST="$SUBL_DIR/$PROJECT_NAME.sublime-project"
+ else
+ FINAL_DEST=$PROJECT_ROOT
fi
+ fi
- st $FINAL_DEST
+ subl $FINAL_DEST
}
function create_project() {
-
- local _target=$1
-
- if [[ "${_target}" == "" ]]; then
- _target=$(pwd);
- elif [[ ! -d ${_target} ]]; then
- echo "${_target} is not a valid directory"
- return 1
- fi
-
- local _sublime_project_file=$_target/$(basename $_target).sublime-project
-
- if [[ ! -f $_sublime_project_file ]]; then
-
- touch $_sublime_project_file
-
- echo -e "{" >> $_sublime_project_file
- echo -e "\t\"folders\":" >> $_sublime_project_file
- echo -e "\t\t[{" >> $_sublime_project_file
- echo -e "\t\t\t\"path\": \".\"," >> $_sublime_project_file
- echo -e "\t\t\t\"file_exclude_patterns\": []" >> $_sublime_project_file
- echo -e "\t\t}]" >> $_sublime_project_file
- echo -e "}" >> $_sublime_project_file
-
- echo -e "New Sublime Text project created:\n\t${_sublime_project_file}"
-
- fi
+ local _target=$1
+
+ if [[ "${_target}" == "" ]]; then
+ _target=$(pwd);
+ elif [[ ! -d ${_target} ]]; then
+ echo "${_target} is not a valid directory"
+ return 1
+ fi
+
+ local _sublime_project_file=$_target/$(basename $_target).sublime-project
+
+ if [[ ! -f $_sublime_project_file ]]; then
+ touch $_sublime_project_file
+
+ echo -e "{" >> $_sublime_project_file
+ echo -e "\t\"folders\":" >> $_sublime_project_file
+ echo -e "\t\t[{" >> $_sublime_project_file
+ echo -e "\t\t\t\"path\": \".\"," >> $_sublime_project_file
+ echo -e "\t\t\t\"file_exclude_patterns\": []" >> $_sublime_project_file
+ echo -e "\t\t}]" >> $_sublime_project_file
+ echo -e "}" >> $_sublime_project_file
+
+ echo -e "New Sublime Text project created:\n\t${_sublime_project_file}"
+ fi
}
-
-alias stp=find_project
-alias stn=create_project